FROM python:3.11-slim

RUN pip3 install poetry
RUN poetry config virtualenvs.create false

RUN mkdir /opt/app
WORKDIR /opt/app

COPY pyproject.toml poetry.lock ./
RUN poetry install --no-dev

COPY ./ ./

CMD ["gunicorn", "--bind", "0.0.0.0"]
